Support

Home Forums Event Espresso Premium upcoming event widget – apache error

upcoming event widget – apache error

Posted: May 11, 2022 at 10:28 am


dirk.tussing

May 11, 2022 at 10:28 am

Hi,

we are using the upcoming events widget => Event Espresso Upcoming Events Widget

apache shows PHP fatal error when calling EEM_Datetime instance: https://share.cleanshot.com/29R0Le

Any suggestion how to fix?

The EEM_Datetime model can not be loaded before the "AHEE__EE_System__load_espresso_addons" hook has been called.


Tony

  • Support Staff

May 11, 2022 at 12:01 pm

Hi Dirk,

Your line numbers don’t match the current widget within Event Espresso, so I assume you are using a custom version?

If so, are you loading the widget from within a custom plugin?


dirk.tussing

May 11, 2022 at 5:06 pm

Hi Tony,

Yes, we changed the layout and style a bit. The file is included along with other widget files.


dirk.tussing

May 11, 2022 at 5:11 pm

This reply has been marked as private.


Tony

  • Support Staff

May 16, 2022 at 5:10 am

Hmm, strange. I’ve tested this locally and can’t reproduce it.

Which PHP version?

Are you using EEM_Datetime within your ee-upcoming-events-table.php file at all?

Or does the error specifically state the line number in THIS screenshot?

You must be logged in to reply to this support post. Sign In or Register for an Account

Event Espresso